
Jupiter - Błąd #1677
Zadanie # 1616 (W toku): Utworzenie formularza do edycji yelementu
Zadanie # 1620 (Rozwiązany): Utworzenie kompoenentu do edycji listy ytaglist

Wyjątak podczas klikania na formatce
2017-05-11 10:49 - Michał Komar

Status: Zamknięty Start date: 2017-05-11
Priority: Normalny Due date:
Assignee: Michał Komar % Done: 100%
Category: ui Estimated time: 0.00 hour
Target version: 0.3
Developer: Monika Maksymiuk Rewizja zgłoszenia GIT:63835aac
Tester: Michał Komar Rewizja rozwiązania GIT:c5edeeff
Występuje w wersji: 0.3 Rewizja testów GIT:
Waga błędu: Mała
Description

Podczas klikania na usuń i dodaj dostałem ten błąd:

"Error: Cannot find control with path: 'names -> 1'
    at ZoneAwareError (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:134222:33)
    at _throwError (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:26905:11)
    at setUpFormContainer (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:26878:9)
    at FormGroupDirective.addFormGroup (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:29814:9)
    at FormGroupName.AbstractFormGroupDirective.ngOnInit (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:27007:28)
    at checkAndUpdateDirectiveInline (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:10922:19)
    at checkAndUpdateNodeInline (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12301:17)
    at checkAndUpdateNode (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12269:16)
    at prodCheckAndUpdateNode (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12722:5)
    at Object.updateDirectives (http://cocos-devel.vls.icm.edu.pl:9080/pl/main.bundle.js:49445:9)
    at Object.updateDirectives (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12637:72)
    at checkAndUpdateView (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12236:14)
    at callViewAction (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12551:17)
    at execEmbeddedViewsAction (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12523:17)
    at checkAndUpdateView (http://cocos-devel.vls.icm.edu.pl:9080/pl/vendor.bundle.js:12237:5)"

Associated revisions
Revision c5edeeff - 2017-05-15 12:34 - Monika Maksymiuk

refs #1677. Dodawanie wariantów językowych - bugfix

History
#1 - 2017-05-11 10:51 - Michał Komar

Wystarczy parę razy "+" kliknąć

#2 - 2017-05-11 10:57 - Michał Komar

To może być to samo - po jednokrotnym kliknięciu "+"  i kliknięciu w nowy input:
ERROR TypeError: Cannot read property 'length' of undefined
    at MdSelect.open (vendor.bundle.js:39078)
    at MdSelect.toggle (vendor.bundle.js:39071)
    at Object.handleEvent (main.bundle.js:6873)
    at Object.handleEvent (vendor.bundle.js:12016)
    at Object.handleEvent (vendor.bundle.js:12636)
    at dispatchEvent (vendor.bundle.js:8991)
    at vendor.bundle.js:9581
    at HTMLDivElement.<anonymous> (vendor.bundle.js:55763)
    at ZoneDelegate.invokeTask (vendor.bundle.js:133597)
    at Object.onInvokeTask (vendor.bundle.js:4327)
    at ZoneDelegate.invokeTask (vendor.bundle.js:133596)
    at Zone.runTask (vendor.bundle.js:133396)
    at HTMLDivElement.ZoneTask.invoke (vendor.bundle.js:133650)

#3 - 2017-05-15 13:15 - Monika Maksymiuk
- Status changed from Nowy to Rozwiązany
- % Done changed from 0 to 100
- Rewizja rozwiązania GIT set to c5edeeff

#4 - 2017-05-15 13:15 - Monika Maksymiuk
- Status changed from Rozwiązany to Odpowiedź
- Assignee changed from Monika Maksymiuk to Michał Komar

Błąd naprawiony

#5 - 2017-05-16 08:33 - Michał Komar
- Status changed from Odpowiedź to Zamknięty

Działa
